<section>
  <div class="tp-payment tp-payment-foot">
    <div class="tp-payment-label">
      {if $tarkpayText }
        {l s='%s' sprintf=[$tarkpayText] d='Modules.Tarkpay.Shop'}
      {/if}
    </div>
    <div class="tp-payment-links">
      {foreach from=$tarkpayBanks item=bank key=myId}
        <div class="tarkpay-bank bank-link-{$bank.swift}" banklink_id="{$bank.swift}">
          <a href="javascript: {}" >
            <img class="tarkpay-image bank-link-{$bank.swift}"
                 src="{$bank.url|replace:'EEUHEE2X_1.svg':'EEUHEE2X.svg'}" title="{$bank.name}" alt="{$bank.swift}"/>
          </a>
        </div>
      {/foreach}
    </div>
  </div>
  <script
  src="https://code.jquery.com/jquery-3.6.0.min.js"
  integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
  crossorigin="anonymous"></script>
  <script>
    let banklink_id = null;
    $('.tarkpay-bank').on('click', function () {
        banklink_id = $(this).attr('banklink_id');
        $('.tarkpay-bank').removeClass('tarkpay-bank-selected');
        $(this).addClass('tarkpay-bank-selected');
        document.querySelector('[name="choosedSwift"]').value = banklink_id;
    });
  </script>
</section>
